### Method

# FwupdPlugin Device set_contents_bytes

since: 2.0.2

#### Declaration [src]

    gboolean
    fu_device_set_contents_bytes (
      FuDevice* self,
      const gchar* filename,
      GBytes* blob,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Writes `blob` to `filename`, emulating if required.

Available since: 2.0.2

#### Parameters

`filename`

  Type: `const gchar*`

  Full path to a file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`blob`

  Type: `GBytes`

  Data to write.

  The data is owned by the caller of the method.

`progress`

  Type: `FuProgress`

  Optional `FuProgress`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.